# signs_func.h File Reference

Functions related to signs. More...

`#include "signs_type.h"`

Go to the source code of this file.

## Functions
void | UpdateAllSignVirtCoords ()
| Update the coordinates of all signs.
void | PlaceProc_Sign (TileIndex tile)
| PlaceProc function, called when someone pressed the button if the sign-tool is selected.
void | MarkSignDirty (Sign *si)
| Marks the region of a sign as dirty.
void | UpdateSignVirtCoords (Sign *si)
| Update the coordinate of one sign.
void | ShowRenameSignWindow (const Sign *si)
void | HandleClickOnSign (const Sign *si)
void | DeleteRenameSignWindow (SignID sign)
void | ShowSignList ()
## Variables
SignID | _new_sign_id

## Detailed Description

Functions related to signs.

Definition in file signs_func.h.

## Function Documentation

void PlaceProc_Sign | ( | TileIndex | tile | ) |

PlaceProc function, called when someone pressed the button if the sign-tool is selected.

Parameters:

  | tile | on which to place the sign

Definition at line 125 of file signs_cmd.cpp.

References CcPlaceSign(), CMD_MSG, CMD_PLACE_SIGN, and DoCommandP().

void UpdateSignVirtCoords | ( | Sign * | si | ) |

Update the coordinate of one sign.

Parameters:

  | si | Pointer to the Sign

Definition at line 41 of file signs.cpp.

References Point::x, and Point::y.

Referenced by CmdPlaceSign(), CmdRenameSign(), and UpdateAllSignVirtCoords().